package com.ruoyi.warehouseBusiness.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.warehouseBusiness.domain.TWarehousebillsLogger;
import com.ruoyi.warehouseBusiness.mapper.TWarehousebillsLoggerMapper;
import com.ruoyi.warehouseBusiness.service.ITWarehousebillsLoggerService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 仓库主(修改记录)Service业务层处理
 * 
 * @author ruoyi
 * @date 2021-07-05
 */
@Service
public class TWarehousebillsLoggerServiceImpl implements ITWarehousebillsLoggerService
{
    @Autowired
    private TWarehousebillsLoggerMapper tWarehousebillsLoggerMapper;

    /**
     * 查询仓库主(修改记录)
     * 
     * @param fId 仓库主(修改记录)ID
     * @return 仓库主(修改记录)
     */
    @Override
    public TWarehousebillsLogger selectTWarehousebillsLoggerById(Long fId)
    {
        return tWarehousebillsLoggerMapper.selectTWarehousebillsLoggerById(fId);
    }

    /**
     * 查询仓库主(修改记录)列表
     * 
     * @param tWarehousebillsLogger 仓库主(修改记录)
     * @return 仓库主(修改记录)
     */
    @Override
    public List<TWarehousebillsLogger> selectTWarehousebillsLoggerList(TWarehousebillsLogger tWarehousebillsLogger)
    {
        return tWarehousebillsLoggerMapper.selectTWarehousebillsLoggerList(tWarehousebillsLogger);
    }

    /**
     * 新增仓库主(修改记录)
     * 
     * @param tWarehousebillsLogger 仓库主(修改记录)
     * @return 结果
     */
    @Override
    public int insertTWarehousebillsLogger(TWarehousebillsLogger tWarehousebillsLogger)
    {
        tWarehousebillsLogger.setCreateTime(DateUtils.getNowDate());
        return tWarehousebillsLoggerMapper.insertTWarehousebillsLogger(tWarehousebillsLogger);
    }

    /**
     * 修改仓库主(修改记录)
     * 
     * @param tWarehousebillsLogger 仓库主(修改记录)
     * @return 结果
     */
    @Override
    public int updateTWarehousebillsLogger(TWarehousebillsLogger tWarehousebillsLogger)
    {
        tWarehousebillsLogger.setUpdateTime(DateUtils.getNowDate());
        return tWarehousebillsLoggerMapper.updateTWarehousebillsLogger(tWarehousebillsLogger);
    }

    /**
     * 批量删除仓库主(修改记录)
     * 
     * @param fIds 需要删除的仓库主(修改记录)ID
     * @return 结果
     */
    @Override
    public int deleteTWarehousebillsLoggerByIds(Long[] fIds)
    {
        return tWarehousebillsLoggerMapper.deleteTWarehousebillsLoggerByIds(fIds);
    }

    /**
     * 删除仓库主(修改记录)信息
     * 
     * @param fId 仓库主(修改记录)ID
     * @return 结果
     */
    @Override
    public int deleteTWarehousebillsLoggerById(Long fId)
    {
        return tWarehousebillsLoggerMapper.deleteTWarehousebillsLoggerById(fId);
    }
}
